=== debian/control ===
--- 
+++ 
@@ -30,8 +30,8 @@
                libkf6xmlgui-dev (>= 6.22.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.22.0~),
-               libkpipewire-dev (>= 6.6.1~),
-               liblayershellqtinterface-dev (>= 6.6.1~),
+               libkpipewire-dev (>= 6.6.2~),
+               liblayershellqtinterface-dev (>= 6.6.2~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,
