=== debian/changelog ===
kde-spectacle (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Add new build dep libkipi. 
  * Add kubuntu_test_desktop_mime_fix.patch to test
    desktop-mime-but-no-exec-code fix for upstream. 
  * Adjust patch to comment rather than remove. 
  * Removing patch. Done with this. 
  * Add license text for LGPL-2 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:11:32 -0700

kde-spectacle (15.12.1-1ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release
  * Merged again with Debian as package name changed to 
    kde-spectacle

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:35:09 +0100
