## kde-spectacle 16.04.3

=== debian/changelog ===
kde-spectacle (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 
  * Fix merge. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * Bumping build deps
  * Adding new build dep qtdeclarative5-dev

  [ Scarlett Clark ]
  * Add a version to qtdeclarative dep. 
  * Fix merge again. 
  * Add missing depend to libkf5declarative. 
  * New upstream release. 

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:39:10 +0200

kde-spectacle (15.12.3-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild against libkf5screen7 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 20 May 2016 13:22:07 +0000
