## kde-spectacle 16.12.3

=== debian/changelog ===
kde-spectacle (16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:40 +0000

kde-spectacle (16.12.1-0ubuntu2) zesty; urgency=medium

  * Do not build depend on optional 'purpose' development package until
    it's autopkgtests are fixed for zesty.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 31 Jan 2017 17:08:58 +0000

kde-spectacle (16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:18 +0000
