## kde-spectacle 17.04.3

=== debian/changelog ===
kde-spectacle (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add back build depend on purpose.

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:42 +0100
