=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 16.12.3~),
+               libkf5kipi-dev (>= 17.04.3~),
                libkf5notifications-dev (>= 5.31.0~),
+               libkf5purpose-dev,
                libkf5screen-dev (>= 4:5.7.2~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
@@ -36,6 +37,8 @@
 Architecture: any
 Section: graphics
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Screenshot capture utility, replaces KSnapshot
  Spectacle captures images of the screen. It can capture the whole screen,
  a specified region, an individual window, or only part of a window.
