=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # common - configure file and version definitions
 
 configure_file(Config.h.in ${CMAKE_CURRENT_BINARY_DIR}/Config.h)
+set(CMAKE_AUTORCC 1)
 
 # target
 
@@ -9,16 +10,22 @@
         Main.cpp
         ExportManager.cpp
         SpectacleCore.cpp
+        SpectacleConfig.cpp
         SpectacleDBusAdapter.cpp
         PlatformBackends/ImageGrabber.cpp
         PlatformBackends/DummyImageGrabber.cpp
+        PlatformBackends/KWinWaylandImageGrabber.cpp
         Gui/KSMainWindow.cpp
         Gui/KSWidget.cpp
         Gui/KSImageWidget.cpp
-        Gui/KSSaveConfigDialog.cpp
         Gui/ExportMenu.cpp
-        Gui/ScreenClipper.cpp
         Gui/SmartSpinBox.cpp
+        Gui/SettingsDialog/SettingsDialog.cpp
+        Gui/SettingsDialog/SettingsPage.cpp
+        Gui/SettingsDialog/SaveOptionsPage.cpp
+        Gui/SettingsDialog/GeneralOptionsPage.cpp
+        QuickEditor/QuickEditor.cpp
+        QuickEditor/QmlResources.qrc
 )
 
 if(XCB_FOUND)
@@ -54,8 +61,10 @@
 
 target_link_libraries(
     spectacle
+        Qt5::Concurrent
         Qt5::DBus
         Qt5::PrintSupport
+        Qt5::Quick
         KF5::CoreAddons
         KF5::DBusAddons
         KF5::WidgetsAddons
@@ -65,6 +74,7 @@
         KF5::KIOWidgets
         KF5::WindowSystem
         KF5::XmlGui
+        KF5::Declarative
 )
 
 if(XCB_FOUND)
@@ -75,7 +85,6 @@
             XCB::CURSOR
             XCB::UTIL
             Qt5::X11Extras
-            KF5::Screen
     )
 endif()
 
@@ -86,4 +95,11 @@
     )
 endif()
 
+if(KDEExperimentalPurpose_FOUND)
+    target_link_libraries (
+        spectacle
+            KDEExperimental::PurposeWidgets
+    )
+endif()
+
 install(TARGETS spectacle ${INSTALL_TARGETS_DEFAULT_ARGS})
