=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 17.04.3~),
+               libkf5kipi-dev (>= 17.12.3~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5purpose-dev,
                libkf5screen-dev (>= 4:5.7.2~),
