## kde-spectacle 18.04.3

=== debian/changelog ===
kde-spectacle (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New build dep on libkf5newstuff-dev
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:24:33 +0100
