=== debian/changelog ===
kde-spectacle (19.12.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Bumped apps build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Mar 2020 07:49:23 +0000

kde-spectacle (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:18:55 +0000

kde-spectacle (19.12.2-0ubuntu1) focal; urgency=medium

  * debian/patches: Drop included upstream_tests-make-sure-testNumbering-
    works.patch
  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:27:37 +0000

kde-spectacle (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:02:04 +0000
