=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with=kf5

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export HOME="$(CURDIR)/debian/home"; \
	    mkdir -p "$$HOME"; \
	    trap EXIT rm -rf "$$HOME"; \
	    dh_auto_test
endif
